summaryrefslogtreecommitdiff
path: root/packages/nslu2-binary-only/unslung-rootfs/rc.unslung-stop
diff options
context:
space:
mode:
authorRod Whitby <rod@whitby.id.au>2005-06-12 13:31:17 +0000
committerRod Whitby <rod@whitby.id.au>2005-06-12 13:31:17 +0000
commit4e66c731de81cb18404d5f5ac9ce3e6bdc6ba3b8 (patch)
tree294a20672b761b6e06fb27d1ab5d29325847b976 /packages/nslu2-binary-only/unslung-rootfs/rc.unslung-stop
parenta623f68e361b46449ecf728f9212733cd1677a95 (diff)
Unslung 5.4-alpha: Removed all trace of maintenance mode, and also removed support for rootfs on jffs2 but packages on external disk. Disabled download, and ourtelnetrescue user generation. Added disk auto-wait countdown (courtesy of glc).
BKrev: 42ac3925nzkbB6d52ln11mRo8BflKA
Diffstat (limited to 'packages/nslu2-binary-only/unslung-rootfs/rc.unslung-stop')
-rw-r--r--packages/nslu2-binary-only/unslung-rootfs/rc.unslung-stop27
1 files changed, 27 insertions, 0 deletions
diff --git a/packages/nslu2-binary-only/unslung-rootfs/rc.unslung-stop b/packages/nslu2-binary-only/unslung-rootfs/rc.unslung-stop
index e69de29bb2..cf5c6ede67 100644
--- a/packages/nslu2-binary-only/unslung-rootfs/rc.unslung-stop
+++ b/packages/nslu2-binary-only/unslung-rootfs/rc.unslung-stop
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+if ( [ -f /unslung/rc.unslung-stop ] && . /unslung/rc.unslung-stop ) ; then return 0 ; fi
+
+# Stop all init scripts in /opt/etc/init.d
+# executing them in numerical order.
+#
+for i in /opt/etc/init.d/K??* ;do
+
+ # Ignore dangling symlinks (if any).
+ [ ! -f "$i" ] && continue
+
+ case "$i" in
+ *.sh)
+ # Source shell script for speed.
+ (
+ trap - INT QUIT TSTP
+ set stop
+ . $i
+ )
+ ;;
+ *)
+ # No sh extension, so fork subprocess.
+ $i stop
+ ;;
+ esac
+done